﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
Sub Class_Globals
	Private tmrHook As Timer
End Sub

Public Sub Initialize
	' run every 5 seconds
	tmrHook.Initialize("tmrHook", 5000)
	tmrHook.Enabled = True
	
	StartMessageLoop '<- don't forget!
End Sub

Sub tmrHook_Tick
	Log(FormatDateTimeNow)
	Dim MB As Long = 1024 * 1024
		
	Log("Memory Used: " & (NumberFormat(DBM.pool.MemoryUsed / MB,1,3)) & "MB")
	Log("Allocated Free Memory: " & (NumberFormat(DBM.pool.MemoryAllocatedFree / MB,1,3)) & "MB")
	If DBM.pool.activeConnections= -1 Then
		Log("Pool not yet initialized because no request for a connection has been made...")		
	Else
		Log("Active Connections: " & DBM.pool.activeConnections)
		Log("Threads Waiting For Connection: " & DBM.pool.ThreadsAwaitingConnection)
		Log("Currently Reserved connections: " & DBM.pool.totalConnections)
		Log("Total Available Connections: " & (DBM.pool.totalConnections - DBM.pool.activeConnections))
	End If	
	Log("----------------------------------------------")
End Sub

Public Sub FormatDateTimeNow() As String
	Dim orig As String = DateTime.DateFormat
	DateTime.dateformat = "yyyy-MM-dd'T'HH:mm:ss"
	Dim ret As String = DateTime.Date(DateTime.now)
	DateTime.dateformat = orig
	Return ret
End Sub

